function init(hero) {
    hero.setName("Spider-Man");
    hero.setTier(3);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:grappling_gun");
    
    hero.addAbilities("fiskheroes:gliding", "fiskheroes:leaping", "fiskheroes:enhanced_reflexes");
    hero.addAttribute("ATTACK_DAMAGE", 0.5, 1);
    hero.addAttribute("FALL_RESISTANCE", 9.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 3, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.4, 1);
    
    hero.setHasPermission(hasPermission);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}
